ubuntu-location-service: com::ubuntu::location::Position Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Classes | Public Member Functions | Public Attributes | List of all members
com::ubuntu::location::Position Struct Reference

The Position struct models a position in the wgs84 coordinate system. More...

`#include <position.h>`

Collaboration diagram for com::ubuntu::location::Position:

## Classes
struct | Accuracy

## Public Member Functions
| Position ()=default
| Position (const wgs84::Latitude &, const wgs84::Longitude &)
| Position (const wgs84::Latitude &, const wgs84::Longitude &, const wgs84::Altitude &)
| Position (const wgs84::Latitude &, const wgs84::Longitude &, const wgs84::Altitude &, const units::Quantity< units::Length > &hor_acc)
| Position (const wgs84::Latitude &, const wgs84::Longitude &, const wgs84::Altitude &, const units::Quantity< units::Length > &hor_acc, const units::Quantity< units::Length > &ver_acc)
bool | operator== (const Position &rhs) const
bool | operator!= (const Position &rhs) const

## Public Attributes
wgs84::Latitude | latitude = wgs84::Latitude{}
wgs84::Longitude | longitude = wgs84::Longitude{}
Optional< wgs84::Altitude > | altitude = Optional<wgs84::Altitude>{}
Accuracy | accuracy {}

## Detailed Description

The Position struct models a position in the wgs84 coordinate system.

Definition at line 39 of file position.h.

## Constructor & Destructor Documentation

## ◆ Position() [1/5]

com::ubuntu::location::Position::Position | ( |  | ) |
| default

## ◆ Position() [2/5]

com::ubuntu::location::Position::Position | ( | const wgs84::Latitude & | ,
|  | const wgs84::Longitude & |
| ) |  |

## ◆ Position() [3/5]

com::ubuntu::location::Position::Position | ( | const wgs84::Latitude & | ,
|  | const wgs84::Longitude & | ,
|  | const wgs84::Altitude & |
| ) |  |

## ◆ Position() [4/5]

com::ubuntu::location::Position::Position | ( | const wgs84::Latitude & | ,
|  | const wgs84::Longitude & | ,
|  | const wgs84::Altitude & | ,
|  | const units::Quantity< units::Length > & | hor_acc
| ) |  |

## ◆ Position() [5/5]

com::ubuntu::location::Position::Position | ( | const wgs84::Latitude & | ,
|  | const wgs84::Longitude & | ,
|  | const wgs84::Altitude & | ,
|  | const units::Quantity< units::Length > & | hor_acc,
|  | const units::Quantity< units::Length > & | ver_acc
| ) |  |

## Member Function Documentation

## ◆ operator!=()

bool com::ubuntu::location::Position::operator!= | ( | const Position & | rhs | ) | const

## ◆ operator==()

bool com::ubuntu::location::Position::operator== | ( | const Position & | rhs | ) | const

## Member Data Documentation

## ◆ accuracy

Accuracy com::ubuntu::location::Position::accuracy {}

Definition at line 62 of file position.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Position >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Position >::encode_argument().

## ◆ altitude

Optional<wgs84::Altitude> com::ubuntu::location::Position::altitude = Optional<wgs84::Altitude>{}

Definition at line 61 of file position.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Position >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Position >::encode_argument().

## ◆ latitude

wgs84::Latitude com::ubuntu::location::Position::latitude = wgs84::Latitude{}

Definition at line 59 of file position.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Position >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Position >::encode_argument().

## ◆ longitude

wgs84::Longitude com::ubuntu::location::Position::longitude = wgs84::Longitude{}

Definition at line 60 of file position.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Position >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Position >::encode_argument().

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/position.h